Skip to main content
GET
/
data
/
fx
/
v1
/
fx
/
enriched
/
{base}
/
{target}
Enriched pair data
curl --request GET \
  --url https://api.voyant.travel/data/fx/v1/fx/enriched/{base}/{target} \
  --header 'Authorization: Bearer <token>'
{
  "result": "success",
  "baseCode": "USD",
  "targetCode": "GBP",
  "conversionRate": 123,
  "targetData": {}
}

Authorizations

Authorization
string
header
required

Voyant Data API token, scoped per sub-product (data:{product}:read). Sent as Authorization: Bearer <token>.

Path Parameters

base
string
required
target
string
required

Response

Enriched data

result
string
required
Example:

"success"

baseCode
string
required
Example:

"USD"

targetCode
string
required
Example:

"GBP"

conversionRate
number
required
source
enum<string>
Available options:
bnr,
voyant-data-fx
targetData
object